Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2259293 - Review Request: python-snakemake-executor-plugin-slurm-jobstep - A Snakemake executor plugin for running srun jobs inside of SLURM jobs
Summary: Review Request: python-snakemake-executor-plugin-slurm-jobstep - A Snakemake ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Cossette
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/snakemake/snakemak...
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2024-01-19 23:49 UTC by Ben Beasley
Modified: 2024-01-24 13:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-24 13:15:13 UTC
Type: Bug
Embargoed:
farchord: fedora-review+


Attachments (Terms of Use)

Description Ben Beasley 2024-01-19 23:49:22 UTC
Spec URL: https://music.fedorapeople.org/python-snakemake-executor-plugin-slurm-jobstep.spec
SRPM URL: https://music.fedorapeople.org/python-snakemake-executor-plugin-slurm-jobstep-0.1.10-1.fc39.src.rpm

Description:

A Snakemake executor plugin for running srun jobs inside of SLURM jobs (meant
for internal use by snakemake-executor-plugin-slurm).

Fedora Account System Username: music

Koji scratch build (explicitly for all architectures):

F40: https://koji.fedoraproject.org/koji/taskinfo?taskID=112010752

Comment 1 Fedora Review Service 2024-01-19 23:52:11 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6923580
(failed)

Build log:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2259293-python-snakemake-executor-plugin-slurm-jobstep/fedora-rawhide-x86_64/06923580-python-snakemake-executor-plugin-slurm-jobstep/builder-live.log.gz

Please make sure the package builds successfully at least for Fedora Rawhide.

- If the build failed for unrelated reasons (e.g. temporary network
  unavailability), please ignore it.
- If the build failed because of missing BuildRequires, please make sure they
  are listed in the "Depends On" field


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Ben Beasley 2024-01-19 23:59:18 UTC
> Problem: nothing provides requested (python3dist(snakemake-interface-executor-plugins) < 9~~ with python3dist(snakemake-interface-executor-plugins) >= 8.2)

This just needs https://bodhi.fedoraproject.org/updates/FEDORA-2024-221ec79061 to reach a Rawhide compose, which might take a little while with the mass rebuild in progress. It’s already in the Koji buildroot.

Until then, one can review it with:

fedora-review -b 2259293 --mock-options=--enablerepo=local

Comment 3 Steve Cossette 2024-01-22 21:14:37 UTC
* Package builds and installs successfully (Once the koji local repo is added to mock)
* Package license is free, and is accepted by Fedora
* rpmlint has no serious issues
* Package abides by Fedora's packaging guidelines

PACKAGE APPROVED

Comment 4 Steve Cossette 2024-01-22 21:16:22 UTC
For reference (Forgot to add), considering the bot couldn't do it:

This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License". 10 files have unknown
     license. Detailed output of licensecheck in
     /home/farchord/Documents/fedora/python-snakemake-executor-plugin-
     slurm-jobstep/2259293-python-snakemake-executor-plugin-slurm-
     jobstep/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 3679 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-snakemake-executor-plugin-slurm-jobstep-0.1.10-1.fc40.noarch.rpm
          python-snakemake-executor-plugin-slurm-jobstep-0.1.10-1.fc40.src.rpm
========================================================================================================== rpmlint session starts ==========================================================================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp_advy9y2')]
checks: 32, packages: 2

python-snakemake-executor-plugin-slurm-jobstep.src: E: spelling-error ('srun', 'Summary(en_US) srun -> stun, sun, run')
python-snakemake-executor-plugin-slurm-jobstep.src: E: spelling-error ('srun', '%description -l en_US srun -> stun, sun, run')
python3-snakemake-executor-plugin-slurm-jobstep.noarch: E: spelling-error ('srun', 'Summary(en_US) srun -> stun, sun, run')
python3-snakemake-executor-plugin-slurm-jobstep.noarch: E: spelling-error ('srun', '%description -l en_US srun -> stun, sun, run')
python3-snakemake-executor-plugin-slurm-jobstep.noarch: W: python-missing-require snakemake-interface-common
python3-snakemake-executor-plugin-slurm-jobstep.noarch: W: python-missing-require snakemake-interface-executor-plugins
===================================================================== 2 packages and 0 specfiles checked; 4 errors, 2 warnings, 7 filtered, 4 badness; has taken 0.3 s =====================================================================




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

python3-snakemake-executor-plugin-slurm-jobstep.noarch: E: spelling-error ('srun', 'Summary(en_US) srun -> stun, sun, run')
python3-snakemake-executor-plugin-slurm-jobstep.noarch: E: spelling-error ('srun', '%description -l en_US srun -> stun, sun, run')
python3-snakemake-executor-plugin-slurm-jobstep.noarch: W: python-missing-require snakemake-interface-common
python3-snakemake-executor-plugin-slurm-jobstep.noarch: W: python-missing-require snakemake-interface-executor-plugins
 1 packages and 0 specfiles checked; 2 errors, 2 warnings, 3 filtered, 2 badness; has taken 0.1 s 



Source checksums
----------------
https://github.com/snakemake/snakemake-executor-plugin-slurm-jobstep/archive/v0.1.10/snakemake-executor-plugin-slurm-jobstep-0.1.10.tar.gz :
  CHECKSUM(SHA256) this package     : 6dbc30d344f04911214117bb3a1ebd111bcf63fa0bddacd7c864b4101ecdcb23
  CHECKSUM(SHA256) upstream package : 6dbc30d344f04911214117bb3a1ebd111bcf63fa0bddacd7c864b4101ecdcb23


Requires
--------
python3-snakemake-executor-plugin-slurm-jobstep (rpmlib, GLIBC filtered):
    (python3.12dist(snakemake-interface-common) < 2~~ with python3.12dist(snakemake-interface-common) >= 1.13)
    (python3.12dist(snakemake-interface-executor-plugins) < 9~~ with python3.12dist(snakemake-interface-executor-plugins) >= 8.2)
    python(abi)



Provides
--------
python3-snakemake-executor-plugin-slurm-jobstep:
    python-snakemake-executor-plugin-slurm-jobstep
    python3-snakemake-executor-plugin-slurm-jobstep
    python3.12-snakemake-executor-plugin-slurm-jobstep
    python3.12dist(snakemake-executor-plugin-slurm-jobstep)
    python3dist(snakemake-executor-plugin-slurm-jobstep)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2259293 --mock-options=--enablerepo=local
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: fonts, R, Haskell, SugarActivity, Java, Ocaml, C/C++, Perl, PHP
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 5 Ben Beasley 2024-01-22 21:36:03 UTC
Thank you for the review!

Added to release monitoring: https://release-monitoring.org/project/371046/

I’ll request the dist-git repo after the FAS outage is resolved.

Comment 6 Fedora Admin user for bugzilla script actions 2024-01-24 01:25:42 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-snakemake-executor-plugin-slurm-jobstep

Comment 7 Fedora Update System 2024-01-24 13:14:25 UTC
FEDORA-2024-18365c1b53 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-18365c1b53

Comment 8 Fedora Update System 2024-01-24 13:15:13 UTC
FEDORA-2024-18365c1b53 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.